Hardware and software requirements for IBM Content Navigator Version 2.0

Detailed system requirements


Abstract

This document contains the hardware and software requirements for IBM Content Navigator Version 2.0.

Content

If you do not have a supported version of the required software, you can download it from the IBM Passport Advantage Online web site.


Legend
Icon Description
Supported Supported
Δ Added or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row.


About the IBM Content Navigator server

On the server where you plan to install IBM Content Navigator, you must install a web application server before you can install IBM Content Navigator.

Recommendation: The IBM Content Navigator configuration and deployment tool is best viewed with a screen resolution of 1280 x 1024 on AIX, Linux, and zLinux and 1024 x 768 on Windows.


Hardware platforms (IBM Content Navigator server)

The following table provides a list of the supported hardware platforms for the IBM Content Navigator server.

Not every operating system is supported for every hardware platform. See the Operating system table for a list of the operating systems that are supported on each platform.

Platform Description
Intel x86-64 Intel 64-bit processors
POWER IBM POWER™-based processors
zSeries 64-bit System z

Sizing and capacity planning

IBM Content Navigator on the application server will require a minimum of:

  • Disk space: 2.5 GB
  • JVM Memory: 1 GB

The amount of necessary CPU processing power, RAM, and disk space vary depending on your specific workload and your desired system capacity and performance. To build the best working system for your needs, build a test system and then move the system into production after you verify that it meets your needs.



Operating systems

The following table specifies the hardware and supported operating systems for the IBM Content Navigator server.

For server-side viewing limitations, see article #1596776.

Operating system (Required) x86-64 POWER zSeries Notes
AIX® 6.1 (64-bit) Supported on POWER
AIX® 7.1 (64-bit) Supported on POWER
Red Hat Enterprise Linux 6.x (64-bit) Supported on x86-64 Supported on zSeries For information on the additional packages for the IBM Content Navigator Configuration and Deployment tool, see article #1599946.
SUSE Linux Enterprise Server 11.x (64-bit) Supported on x86-64 Supported on zSeries For information on the additional packages for the IBM Content Navigator Configuration and Deployment tool, see article #1599946.
Windows Server 2008 R2 (64-bit)
Editions: Standard, Enterprise
Supported on Intel x86-64

Web application server

The following table specifies the supported application server for IBM Content Navigator.

Web application server (Required) AIX Linux zLinux Windows Notes
WebSphere Application Server 7.0 (64 bit)
Base and ND
Minimum version 7.0.0.21
Supported on AIX Supported  on Linux Supported on zLinux Supported on Windows
WebSphere Application Server 8.0 (64 bit)
Base and ND
Minimum version 8.0.0.2
Supported on AIX Supported  on Linux Supported on zLinux Supported on Windows
Δ Oracle WebLogic Server 11g Release 1 (64-bit)
Version 10.3.4 and 10.3.5 only
Supported on AIX Supported  on Linux Supported on Windows You can only access FileNet Content Manager repositories from a WebLogic deployment. If you want to access Content Manager or Content Manager OnDemand repositories, you must use the WebSphere Application Server.


IBM Content Server connector

The following table specifies the supported content server connector for the IBM Content Navigator server. Content server connectors enable IBM Content Navigator to communicate with IBM Content Manager OnDemand and is supplied with your content server.

Connector (Required) Notes
OnDemand Web Enablement Kit (ODWEK) V8.5.0.x
Minimum version 8.5.0.5
For more information on the IPV6 address limitation, see article #1596230.

Databases

The following table specifies the supported databases for IBM Content Navigator. Check your database vendor documentation and repository documentation for additional database requirements..

Database Notes
DB2 Universal Database 9.8 for Linux, UNIX, Windows
(pureScale)
DB2 Universal Database 9.7 for Linux, UNIX, Windows
Advanced Enterprise Server, Enterprise Server, Workgroup Server, and Express Edition
DB2 Universal Database 9.5 for Linux, UNIX, Windows
Enterprise Server, Workgroup Server, and Express Edition
DB2 for z/OS Edition 10.1
Minimum version: v10, PUT 1104
For use with WebSphere only.
DB2 for z/OS Edition 9.1
Minimum version: DB2v9.1 PUT09009 for DB2 z.os 9
For use with WebSphere only.
Microsoft SQL Server 2008 R2
Enterprise and Standard Edition
Microsoft SQL Server 2008 SP1
Enterprise and Standard Edition
Oracle Database 11g Release 1 11.1.0.x
Enterprise with Standard, Standard One includes RAC
Oracle Database 11g Release 2 11.2.0.x
Enterprise with Standard, Standard One includes RAC

Single sign-on

Single sign-on Notes
IBM Tivoli Access Manager for e-business V 6.1.1 single sign-on support IBM FileNet P8 with WebSphere only.
For more information on single sign-on, see article #7027367.

Content servers

The following table specifies the supported content servers for IBM Content Navigator. Check the appropriate documentation for the content management server for operating system information.

Content server Notes
Content Manager Enterprise Edition 8.4.3
Content Manager Enterprise Edition 8.4.2 Teamspaces are not supported.
Content Manager for z/OS Version 8.4.3
Content Manager for z/OS Version 8.4.2 Teamspaces are not supported.
Content Manager OnDemand for Multiplatforms Version 8.5
Content Manager OnDemand for z/OS Version 8.5
Content Manager OnDemand for i 7.1 Version 8.5.0.5
IBM FileNet Content Engine Version 5.1.x
IBM FileNet Content Engine Version 5.0.x Content Search Services is not supported.
IBM FileNet Process Engine Version 5.0.x
Minimum version 5.0.0.3
Required if using FileNet P8 workflows.

Client machine requirements

If you are using Microsoft Office and you get an error message while embedding links, see the Microsoft Knowledge Base.


Operating system (Required) Notes
Windows 7
Enterprise, Professional, Ultimate (32-bit and 64-bit)
Minimum version SP1
Support includes USGCB
Windows Vista Business (32-bit)
Minimum version SP3
Support includes FDCC
Windows XP Professional (32-bit)
Minimum version SP3
Support includes FDCC
Mac OS x 10.7 (64-bit)
Mac OS x 10.6 (64-bit)

Web browsers

The following table specifies the required browser software for users of IBM Content Navigator. You must have the necessary hardware to support a browser that supports frames and Javascript.

Web browser(Required) Notes
Mozilla Firefox 10 Extended Support Release (ESR) Supported on Mac OS X and Windows.
Safari 5.1.x
Minimum supported version 5.1.5
Supported on Mac OS X only.
For viewer limitations, see article #1596776.
Microsoft® Internet Explorer 9.0 For more information on the limitations of dragging items to add to a repository, see article #1599812.
Microsoft® Internet Explorer 8.0 For more information on the limitations of dragging items to add to a repository, see article #1599812.

Java runtime environments

The following table specifies the required Java Runtime Environments (JRE) for IBM Content Navigator client machines. The JREs can be used to view documents and send documents through email. Depending on your configuration, a JRE may be required for some viewing actions. For example, JREs are not required for previewing documents and viewing thumbnails.

The bit version of the browser must match the bit version of the JRE software. For example, if you are using a 32-bit browser, you must use 32-bit JRE software. If you are using a 64-bit browser, you must use 64-bit JRE software.

For viewer limitations, see article #1596776 for more information.

For JRE known issues and limitations, see article # 1598501 for more information.

Viewer(Required) Notes
IBM Java Runtime Environment 7.0 (32-bit and 64-bit)
IBM Java Runtime Environment 6.0 (32-bit and 64-bit)
Minimum 6.0 Service Refresh 10-FP1
Oracle Java Runtime Environment 7.0 (32-bit and 64-bit)
Minimum 1.7.0_4
Oracle Java Runtime Environment 6.0 (32-bit and 64-bit)
Minimum 1.6.0_31

Email Clients

The following table specifies the required email application software for IBM Content Navigator client users to send links to documents or to send documents as attachments.

Important: Mac user can send email links, but not attachments.

If you want to use IBM Content Navigator to send attachments or links to documents from the web client, you must have an email client installed and configured before you can use IBM Content Navigator.

Product Notes
Lotus Notes 8.5.x
Minimum Lotus Notes 8.5.2
Microsoft Outlook 2010
Δ Microsoft Outlook 2007

Related documentation
Document Format
IBM Content Navigator Version 2.0 publication library HTML
IBM Content Navigator Version 2.0 Known problems, issues, and limitations HTML


Change history
History Date Change
Released June 2012 Created for IBM Content Navigator Version 2.0.
Updated August 2012 Updated the web application server information.
Updated September 2012 Updated the email client information.


Rate this page:

(0 users)Average rating

Document information


More support for:

Content Navigator

Software version:

2.0

Operating system(s):

AIX, Linux, Linux on System z, Windows

Reference #:

7024958

Modified date:

2012-06-29

Translate my page

Machine Translation

Content navigation